Skip to content

2.3a2 Sol8 make fails at _iconv_codec. #38019

Closed

Description

@inyeol
mannequin
BPO 690309
Nosy @doerwalter
Files
  • log.tgz: configure, make logs
  • Note: these values reflect the state of the issue at the time it was migrated and might not reflect the current state.

    Show more details

    GitHub fields:

    assignee = None
    closed_at = <Date 2003-02-28.11:10:52.000>
    created_at = <Date 2003-02-20.21:53:58.000>
    labels = ['build']
    title = '2.3a2 Sol8 make fails at _iconv_codec.'
    updated_at = <Date 2003-02-28.11:10:52.000>
    user = 'https://bugs.python.org/inyeol'

    bugs.python.org fields:

    activity = <Date 2003-02-28.11:10:52.000>
    actor = 'dradul'
    assignee = 'none'
    closed = True
    closed_date = None
    closer = None
    components = ['Build']
    creation = <Date 2003-02-20.21:53:58.000>
    creator = 'inyeol'
    dependencies = []
    files = ['797']
    hgrepos = []
    issue_num = 690309
    keywords = []
    message_count = 10.0
    messages = ['14722', '14723', '14724', '14725', '14726', '14727', '14728', '14729', '14730', '14731']
    nosy_count = 4.0
    nosy_names = ['doerwalter', 'nnorwitz', 'inyeol', 'dradul']
    pr_nums = []
    priority = 'normal'
    resolution = 'fixed'
    stage = None
    status = 'closed'
    superseder = None
    type = None
    url = 'https://bugs.python.org/issue690309'
    versions = ['Python 2.3']

    Activity

    1. inyeol commented on Feb 20, 2003

      inyeolmannequin
      MannequinAuthor

      Python 2.3a2 build process fails during building
      _iconv_codec
      module. The message is;

      [...]
      gcc -shared
      build/temp.solaris-2.8-sun4u-2.3/_iconv_codec.o
      -L/home/inyeol/util/python/lib -L/usr/local/lib -o
      build/lib.solaris-2.8-sun4u-2.3/_iconv_codec.so
      Traceback (most recent call last):

      [... long traceback here...]

      File "./setup.py", line 209, in build_extension
      imp.load_dynamic(ext.name, ext_filename)
      RuntimeError: can't initialize the _iconv_codec module:
      iconv_open() failed
      *** Error code 1
      make: Fatal error: Command failed for target
      `sharedmods'

      My build environment is gcc2.95.3 with Solaris 8
      linker.
      I've built 2.2, 2,2,1, 2,2,2, 2,3a1 with the same env
      and there
      was no (major) issues like this. I attached my
      configure and
      make log messages.

    2. added
      buildThe build process and cross-build
      on Feb 20, 2003
    3. added
      buildThe build process and cross-build
      on Feb 20, 2003
    4. nnorwitz commented on Feb 20, 2003

      nnorwitzmannequin
      Mannequin

      Logged In: YES
      user_id=33168

      In order to get the build to proceed, you can change line
      210 of setup.py from:

              except ImportError, why:
      to:
              except (ImportError, RuntimeError), why:

      This is just before:
      self.announce('*** WARNING: renaming "%s" since
      importing it' ...)

    5. doerwalter commented on Feb 21, 2003

      @doerwalter
      Contributor

      Logged In: YES
      user_id=89016

      I changed the init function to use 'ISO8859-1' instead of
      'ASCII' as the test encoding. Can someone test whether this
      fixes anything?

    6. dradul commented on Feb 23, 2003

      dradulmannequin
      Mannequin

      Logged In: YES
      user_id=659006

      The fix applied to _iconv_codec.c (in version 1.12) *breaks* the
      extension unnder cygwin and possibly other systems that use
      GNU iconv instead of a native library (namely, Solaris and BSD
      derivatives). The relevant errors:

      building '_iconv_codec' extension
      gcc -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -I. -
      I/cvsroot/python/dist/src/./Include -I/usr/local/include -
      I/tmp/Include -I/tmp/python -c /cvsroot/python/dist
      /src/Modules/_iconv_codec.c -o build/temp.cygwin-1.3.20-i686-
      2.3/_iconv_codec.o
      cc1: warning: changing search order for system
      directory "/usr/local/include"
      cc1: warning: as it has already been specified as a non-system
      directory
      /cvsroot/python/dist/src/Modules/_iconv_codec.c: In function
      iconvcodec_encode' : /cvsroot/python/dist/src/Modules/_iconv_codec.c:147: warning: passing arg 2 of
      libiconv' from incompatible pointer type
      /cvsroot/python/dist/src/Modules/_iconv_codec.c: In function
      iconvcodec_decode' : /cvsroot/python/dist/src/Modules/_iconv_codec.c:357: warning: passing arg 2 of
      libiconv' from incompatible pointer type
      /cvsroot/python/dist/src/Modules/_iconv_codec.c: In function
      `init_iconv_codec':

      /cvsroot/python/dist/src/Modules/_iconv_codec.c:682: warning:
      passing arg 2 of `
      libiconv' from incompatible pointer type
      gcc -shared -Wl,--enable-auto-image-base build/temp.cygwin-
      1.3.20-i686-2.3/_icon
      v_codec.o -L/usr/local/lib -L. -liconv -lpython2.3 -o
      build/lib.cygwin-1.3.20-i6
      86-2.3/_iconv_codec.dll
      running build_scripts

    7. doerwalter commented on Feb 24, 2003

      @doerwalter
      Contributor

      Logged In: YES
      user_id=89016

      These are just warnings, I see no error here. BTW the GNU
      implementation does supports both ASCII and ISO8859-1 as
      encodings, so I don't see why 1.12 should break anything

    8. dradul commented on Feb 24, 2003

      dradulmannequin
      Mannequin

      Logged In: YES
      user_id=659006

      Ahh! I skimmed too fast through the code and didn't see that one!
      You see, GNU iconv is, errr, anal in the matter of ecoding
      names. And the author/maintainer is adamant on using stricly
      and only the names as specified in RFC1345, RFC1468,
      RFC1557 and related (I have a document on the subject I can
      mail you if you want).

      And... ISO8859-1 is not a valid name as per iconv_open(3) for
      GNU iconv's (any linux system has that man page). On the other
      hand, ISO-8859-1 is valid. That shoud fix the problem.

    9. doerwalter commented on Feb 24, 2003

      @doerwalter
      Contributor

      Logged In: YES
      user_id=89016

      OK, I changed the test encoding from "ISO8859-1" to
      "ISO-8859-1". But I tested this under Linux, and neither
      "ASCII" nor "ISO8859-1" produced any problems for me.

    10. dradul commented on Feb 24, 2003

      dradulmannequin
      Mannequin

      Logged In: YES
      user_id=659006

      Hmmm.... Perhaps the glibc maintainers have relaxed the naming
      rules when merging GNU iconv into the library.

      I also changed ISO8859-1 to ISO-8859-1 in my local CVS copy
      and now _iconv_codec works fine under cygwin, soo I think this
      solved.

      Cheers

      Al

    11. doerwalter commented on Feb 28, 2003

      @doerwalter
      Contributor

      Logged In: YES
      user_id=89016

      So are there any objections to closing this bug report?

    12. dradul commented on Feb 28, 2003

      dradulmannequin
      Mannequin

      Logged In: YES
      user_id=659006

      None whatsover.

    13. transferred this issue fromon Apr 9, 2022
    Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

    Metadata

    Metadata

    Assignees

    No one assigned

      Labels

      buildThe build process and cross-build

      Projects

      No projects

        Milestone

        No milestone

        Relationships

        None yet

        Development

        No branches or pull requests

        Issue actions